package com.jay.monitor.data.client.api;

import javax.servlet.http.HttpServletRequest;

/**
 * 监控数据回调
 *
 * @author liukaixiong
 * @date 2022/7/14 - 14:51
 */
public interface MonitorIndexCallback {

    public DefaultIndexData sqlCallback();

    public DefaultIndexData urlCallback(HttpServletRequest request);

    public String getUrlUserId(HttpServletRequest request);
}
